websocket-sharp System.Object System.IDisposable Provides a simple, programmatically controlled HTTP listener. To be added.
- Constructor
  Initializes a new instance of the class.
  To be added.
- Method
  System.Void Shuts down the immediately. To be added.
- Property
  WebSocketSharp.Net.AuthenticationSchemes Gets or sets the scheme used to authenticate the clients. One of the values that indicates the scheme used to authenticate the clients. The default value is . To be added. This object has been closed.
- Property
  WebSocketSharp.Net.AuthenticationSchemeSelector Gets or sets the delegate called to determine the scheme used to authenticate clients. A delegate that invokes the method(s) used to select an authentication scheme. The default value is . To be added. This object has been closed.
- Method
  System.IAsyncResult `` `` An delegate that references the method(s) called when the asynchronous operation completes. An that contains a user defined object to pass to the delegate. Begins getting an incoming request information asynchronously. An that contains the status of the asynchronous operation. This asynchronous operation must be completed by calling the method. Typically, the method is invoked by the delegate. The has not been started or is stopped currently. This object has been closed.
- Method
  System.Void Shuts down the . To be added.
- Method
  WebSocketSharp.Net.HttpListenerContext `` An obtained by calling the method. Ends an asynchronous operation to get an incoming request information. A that contains a client's request information. This method completes an asynchronous operation started by calling the method. is . was not obtained by calling the method. The EndGetContext method was already called for the specified . This object has been closed.
- Method
  WebSocketSharp.Net.HttpListenerContext Gets an incoming request information. A that contains a client's request information. This method waits for an incoming request and returns the request information when received the request.

  The does not have any URI prefixes to listen on.

  -or-

  The has not been started or is stopped currently.

  This object has been closed.
- Property
  System.Boolean Gets or sets a value indicating whether the returns exceptions that occur when sending the response to the client. true if does not return exceptions that occur when sending the response to the client; otherwise, false. The default value is false. To be added. This object has been closed.
- Property
  System.Boolean Gets a value indicating whether the has been started. true if the has been started; otherwise, false. To be added.
- Property
  System.Boolean Gets a value indicating whether the can be used with the current operating system. true. To be added.
- Property
  WebSocketSharp.Net.HttpListenerPrefixCollection Gets the URI prefixes handled by the . A that contains the URI prefixes. To be added. This object has been closed.
- Property
  System.String Gets or sets the name of the realm associated with the . A that contains the name of the realm. To be added. This object has been closed.
- Method
  System.Void Starts to receive incoming requests. To be added. This object has been closed.
- Method
  System.Void Stops receiving incoming requests. To be added. This object has been closed.
- Method
  System.Void Releases all resource used by the . To be added.
- Property
  System.Boolean Gets or sets a value indicating whether, when NTLM authentication is used, the authentication information of first request is used to authenticate additional requests on the same connection. true if the authentication information of first request is used; otherwise, false. The default value is false. To be added. This object has been closed.